<template>
  <button type="button" class="bg-transparent mr-3 d-flex justify-content-center align-items-center position-relative" @click="toCart()">
    <i class="fas fa-shopping-cart"></i>

    <span class="count bg-primary text-white font-weight-bold d-flex justify-content-center align-items-center px-1">
        {{ totalProducts }}
    </span>
  </button>
</template>

<script>
import { mapGetters } from 'vuex'

export default {
    name: 'ShoppingCartCount',
    methods: {
        toCart() {
            this.$emit('click')
            this.$router.push('/carrito')
        }
    },
    computed: {
        ...mapGetters({
            totalProducts: 'cart/getTotalProducts'
        })
    }
};
</script>

<style lang="scss" scoped>
@import '~/assets/scss/variables';

button {
    width: 35px;
    height: 35px;

    i {
        color: $dark;
    }

    .count {
        width: 30px;
        height: 30px;
        font-size: .6em;
        border-radius: 50%;
        position: absolute;
        top: -.8rem;
        right: -.8rem;
    }
}
</style>